GuideLab API

List treatment phases

Retrieve all treatment phases for the authenticated lab, including their ordered task list and task counts.

GET
/treatment-phases

Retrieve all treatment phases for the authenticated lab, including their ordered task list and task counts.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/treatment-phases"
{  "phases": [    {      "id": "string",      "labId": "string",      "name": "string",      "description": "string",      "sortOrder": 0,      "defaultOffsetDays": 0,      "isActive": true,      "color": "string",      "startPolicy": "string",      "leadTimeDays": 0,      "createdAt": "string",      "updatedAt": "string",      "taskCount": 0,      "tasks": [        {          "id": "string",          "taskId": "string",          "sortOrder": 0,          "isActive": true,          "clinicVisible": true,          "clinicTitle": "string",          "task": {            "id": "string",            "name": "string",            "description": "string",            "color": "string",            "icon": "string",            "completionTrigger": "string"          }        }      ]    }  ]}
Empty
Empty
Empty
Empty